Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.meshcms.core
Class MultiSiteManager

    java.lang.Object
      org.meshcms.core.MultiSiteManager

All Implemented Interfaces:
  java.io.Serializable

public class MultiSiteManager
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Method Summary
`java.lang.String` | `getDomains(java.lang.String dir)`
`java.util.List` | `getJSPBlocks()`
`MainWebSite` | `getMainWebSite()`
`java.lang.String` | `getMainWebSiteDomains()`
`int` | `getSiteCount()`
`WebSite` | `getWebSite(java.lang.String domain)`
`int` | `initDomainsMap()`
`boolean` | `isJSPBlocked(VirtualWebSite webSite)`
`boolean` | `isManageTripleWs()`
`boolean` | `isUseDirsAsDomains()`
`static MultiSiteManager` | `load(MainWebSite mainWebSite)`
`void` | `setDomains(java.lang.String dir, java.lang.String domainNames)`
`void` | `setMainWebSite(MainWebSite mainWebSite)`
`void` | `setMainWebSiteDomains(java.lang.String mainWebSiteDomains)`
`void` | `setManageTripleWs(boolean manageTripleWs)`
`void` | `setUseDirsAsDomains(boolean useDirsAsDomains)`
`boolean` | `store(MainWebSite mainWebSite)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getJSPBlocks

    public java.util.List getJSPBlocks()

### isJSPBlocked

    public boolean isJSPBlocked(VirtualWebSite webSite)

### isManageTripleWs

    public boolean isManageTripleWs()

### setManageTripleWs

    public void setManageTripleWs(boolean manageTripleWs)

### isUseDirsAsDomains

    public boolean isUseDirsAsDomains()

### setUseDirsAsDomains

    public void setUseDirsAsDomains(boolean useDirsAsDomains)

### setDomains

    public void setDomains(java.lang.String dir,
                           java.lang.String domainNames)

### getDomains

    public java.lang.String getDomains(java.lang.String dir)

### initDomainsMap

    public int initDomainsMap()

### getWebSite

    public WebSite getWebSite(java.lang.String domain)

### getSiteCount

    public int getSiteCount()

### getMainWebSiteDomains

    public java.lang.String getMainWebSiteDomains()

### setMainWebSiteDomains

    public void setMainWebSiteDomains(java.lang.String mainWebSiteDomains)

### load

    public static MultiSiteManager load(MainWebSite mainWebSite)

### store

    public boolean store(MainWebSite mainWebSite)

### getMainWebSite

    public MainWebSite getMainWebSite()

### setMainWebSite

    public void setMainWebSite(MainWebSite mainWebSite)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD